SAMP_HUB(1)

NAME
samp_hub - SAMP Hub Server

DESCRIPTION
usage: samp_hub [-h] [-k CODE] [-d ADDR] [-p PORT] [-f FILE] [-w]

[-P SIZE] [-t SECONDS] [-c SECONDS] [-L LEVEL] [-O FILE]
    [-l LABEL] [-m] [-s] [-C FILE] [-K FILE] [--cert-reqs STRING] [--ca-certs FILE] [--ssl-version STRING]

  optional arguments:

-h, --help
    show this help message and exit

-k CODE, --secret CODE
    custom secret code.

-d ADDR, --addr ADDR
    listening address (or IP).

-p PORT, --port PORT
    listening port number.

-f FILE, --lockfile FILE
    custom lockfile.

-w, --no-web-profile
    run the Hub disabling the Web Profile.

-P SIZE, --pool-size SIZE
    the socket connections pool size.

  Timeout group:

    Special options to setup hub and client timeouts.It contains a set of special options that allows one to set up the Hub and clients inactivity timeouts, that is the Hub or client inactivity time interval after which the Hub shuts down or unregisters the client. Notification of samp.hub.disconnect MType is sent to the clients forcibly unregistered for timeout expiration.

-t SECONDS, --timeout SECONDS
    set the Hub inactivity timeout in SECONDS. By default it is set to 0, that is the Hub never expires.

-c SECONDS, --client-timeout SECONDS
    set the client inactivity timeout in SECONDS. By default it is set to 0, that is the client never expires.

  Logging options:

    Additional options which allow one to customize the logging output. By default the SAMP Hub uses the standard output and standard error devices to print out INFO level logging messages. Using the options here below it is possible to modify the logging level and also specify the output files where redirect the logging messages.

-L LEVEL, --log-level LEVEL
    set the Hub instance log level (OFF, ERROR, WARNING, INFO, DEBUG).

-O FILE, --log-output FILE
    set the output file for the log messages.

  Advanced group:

    Advanced options addressed to facilitate administrative tasks and allow new non-standard Hub behaviors. In particular the --label options is used to assign a value to hub.label token and is used to assign a name to the Hub instance. The very special --multi option allows one to start a Hub in multi-instance mode. Multi-instance mode is a non-standard Hub behavior that enables multiple contemporaneous running Hubs. Multi-instance hubs place their non-standard lock-files within the <home directory>/.samp-1 directory naming them making use of the format: samp-hub-<PID>-<ID>, where PID is the Hub process ID while ID is an internal ID (integer).

-l LABEL, --label LABEL
    assign a LABEL to the Hub.

-m, --multi
    run the Hub in multi-instance mode generating a custom lockfile with a random name.

  SSL group:

    Additional options to launch the Hub instance using the Secure Sockets Layer (HTTPS). The --key-file and --cert-file parameters specify optional files which contain a certificate to be used to identify the local side of the connection. Often the private key is stored in the same file as the certificate; in this case, only the --cert-file parameter need be passed. If the private key is stored in a separate file, both parameters must be used. If the private key is stored in the certificate file, it should come before the first certificate in the certificate chain.

-s, --https
    run the Hub using the Secure Sockets Layer.

-C FILE, --cert-file FILE
    set the certificate file.

-K FILE, --key-file FILE
    set the key file. By default this option is ignored, assuming that the private key is stored in the certificate file.

--cert-reqs STRING
    this option specifies whether a certificate is required from the client side of the connection, and whether it will be validated if provided. It must be one of the three values NONE (certificates ignored, default), OPTIONAL (not required, but validated if provided), or REQUIRED (required and validated). If the value of this option is not NONE, then the --cacerts option must point to a file of CA certificates.

--ca-certs FILE
    the --ca-certs file contains a set of concatenated "certification authority" certificates, which are used to validate certificates passed from the client end of the connection.

--ssl-version STRING
    the --ssl-version option specifies which version of the SSL protocol to use. Typically, the server chooses a particular protocol version, and the client must adapt to the server's choice. Most of the versions are not interoperable with the other versions. If not specified the default SSL version is taken from the default in the Python standard `ssl` library for the version of Python that is installed. Other SSL protocol versions are: SSLv2, SSLv3, SSLv23, TLSv1, TLSv1_1, TLSv1_2 but not all of them may be available on all versions of Python.